Author Topic: Based on my experience you should not upgrade to 1.2 at this time  (Read 3420 times)

Offline thedarksyde

  • Full Member
  • ***
  • Posts: 131
  • Karma: +7/-1
    • View Profile
I have had far too many problems and want to go back to 1.19, however I do not want to overwrite all my files manually so I am going to stick with it unless another option is provided to me.   I upgraded for the out of stock button functionality, however that is not working.  Along with spinning create and edits.  Manufacturers and Categories not listing in drop down boxes.  There is nothing in 1.2 that is needed that should make you want to upgrade from 1.19.  It is not worth the risk.   

I will update this post once my issues have been fixed and will state when it is worth upgrading. 

UPDATE:

It looks as though drop downs work in Firefox only for me.  So this is the issue that was making the cart unusable for me.  So based on that and if you are willing to use firefox, I would now say you can install with caution. 

UPDATE 2

The drop down issue which is the main issue has now been fixed on Chrome and IE, and I believe switching to 1.2  now is worth the attempt. 
« Last Edit: January 19, 2015, 10:36:03 AM by thedarksyde »

Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4139
  • Karma: +250/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: Based on my experience you should not upgrade to 1.2 at this time
« Reply #1 on: January 07, 2015, 01:59:55 PM »
I think this is something specific with your upgrade or system.

Upgrade and v1.2 are fairly well tested.

Regarding risk. It is mentioned in few places. We do not recommend upgrading live sites. If upgrade is done on copy/test site, risk is not an issue if something does not go right.
We need your help to build better free open source eCommerce platform for everyone.
See how you can help

Offline Ollie

  • Sr. Member
  • ****
  • Posts: 253
  • Karma: +27/-1
    • View Profile
    • Assistech
Re: Based on my experience you should not upgrade to 1.2 at this time
« Reply #2 on: January 10, 2015, 08:57:15 PM »
I upgraded to 1.2.0 and everything went well. The only problem is that some images are not showing in the control panel.
« Last Edit: January 11, 2015, 06:43:54 AM by Ollie »
Assistive technologies for people with special needs:
https://assistech.com/store/

Offline eCommerce Core

  • Administrator
  • Hero Member
  • *****
  • Posts: 1600
  • Karma: +93/-1
    • View Profile
Re: Based on my experience you should not upgrade to 1.2 at this time
« Reply #3 on: January 10, 2015, 10:32:47 PM »
I upgraded to 1.2.0 and everything went well. The only problem is that some images are not showing in the control panel. I noticed two other problems: Advanced search is generating an error message: Fatal error: Call to undefined function array_replace_recursive() in /home/xxxx/public_html/store/core/lib/request.php on line 53.

Images are not erected in the upgrade. What images are missing?

What version of PHP do you have? http://php.net/manual/en/function.array-replace-recursive.php

You should go 5.3 or higher. No point for reporting issues with lower PHP versions.
“If you’re in the luckiest one per cent of humanity, you owe it to the rest of humanity to think about the other 99 per cent.”
― Warren Buffett

Offline Ollie

  • Sr. Member
  • ****
  • Posts: 253
  • Karma: +27/-1
    • View Profile
    • Assistech
Re: Based on my experience you should not upgrade to 1.2 at this time
« Reply #4 on: January 11, 2015, 06:39:46 AM »
I upgraded to 1.2.0 and everything went well. The only problem is that some images are not showing in the control panel. I noticed two other problems: Advanced search is generating an error message: Fatal error: Call to undefined function array_replace_recursive() in /home/xxxx/public_html/store/core/lib/request.php on line 53.
Images are not erected in the upgrade. What images are missing?

What version of PHP do you have?  You should go 5.3 or higher. No point for reporting issues with lower PHP versions.

I have PHP 5.3.26.

Here's a list of missing images:
1) Icon for wish list: Design > Menu > Wish List. Image is showing in control panel but not on the web page.
2) Image on top left hand corner of control panel Dashboard. (See circle image in attached screenshot.)
3) Images on Order Summary page. (See empty rectangles in attached screenshot.)

Besides these missing images the Abandoned Orders extension is displaying a tiled image at the top of the page. The image repeats itself all across the page top.
Assistive technologies for people with special needs:
https://assistech.com/store/

Offline llegrand

  • Hero Member
  • *****
  • Posts: 1416
  • Karma: +364/-2
    • View Profile
Re: Based on my experience you should not upgrade to 1.2 at this time
« Reply #5 on: January 11, 2015, 01:13:10 PM »
I think I can shed insight on a couple of your "issues"

In regards to the Circle to the left of the Logo is NOT a missing image,  but a what's showing control feature,  like the three line (called Hamburger Icon).  The Hamburger shows or hides the TOC (table of contents) so Admin panel is more user friendly on small screens.

And the circle is a scroll lock that keeps the TOC  attached to the rest of the page, so when one scrolls it does to,  If you click on it it will the dot will turn colors and it disconnects the TOC from the rest of the page,  so you can scroll the page,  but the TOC remains in place.

About your Wish List -  that is an extension and in checking the marketplace there is no update for that extension to version 1.2.  There are some changes in 1.2 to the default_html5  in the previous versions,  it is now called just default.  This requires all the template calls to be adjusted. 

This may also be your issue with the Order Summary page (a guess on my  part)  I think you have an extension there about order tracking.

Hopes this helps to define where to look to solve your issues.

Lee

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4034
  • Karma: +201/-0
    • View Profile
Re: Based on my experience you should not upgrade to 1.2 at this time
« Reply #6 on: January 12, 2015, 08:05:26 AM »
1) Icon for wish list: Design > Menu > Wish List. Image is showing in control panel but not on the web page.
Wishlist extension is not updated to 1.2. See details block at wishlist extension page http://marketplace.abantecart.com/wishlist

3) Images on Order Summary page. (See empty rectangles in attached screenshot.)

Update order tracking extension it is compatible with AbanteCart 1.2 see http://marketplace.abantecart.com/track_shipments
“Chuck Norris is so amazing.”
― Mother Teresa

Offline Ollie

  • Sr. Member
  • ****
  • Posts: 253
  • Karma: +27/-1
    • View Profile
    • Assistech
Re: Based on my experience you should not upgrade to 1.2 at this time
« Reply #7 on: January 13, 2015, 01:25:24 PM »
Thank you guys for your help. The circle explanation makes sense. As far as the extensions, not sure how to make the adjustments so I asked Algozone for an upgraded version of all extensions. I just upgraded Track Shipments, but I'm still having a problem with some missing information at the bottom of the Order Summary page. I believe this has to do with another extension called Admin Pre-made Responses. I'll keep you posted.
Assistive technologies for people with special needs:
https://assistech.com/store/

Offline lukaszsz

  • Newbie
  • *
  • Posts: 23
  • Karma: +0/-1
    • View Profile
Re: Based on my experience you should not upgrade to 1.2 at this time
« Reply #8 on: January 18, 2015, 08:12:43 PM »
i need help how to back to previusly  version  ..  i update 1.2 and nothing works    ..  i want back to 1.1.9  only i dont know how

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4034
  • Karma: +201/-0
    • View Profile
Re: Based on my experience you should not upgrade to 1.2 at this time
« Reply #9 on: January 19, 2015, 08:55:46 AM »
i need help how to back to previusly  version  ..  i update 1.2 and nothing works    ..  i want back to 1.1.9  only i dont know how

Hello.
Please create separate post for new question. To downgrade please restore your backup (database and files)
“Chuck Norris is so amazing.”
― Mother Teresa

 

Powered by SMFPacks Social Login Mod